curl --request POST \
--url https://api.bigdata.com/v1/knowledge-graph/companies \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"query": "Apple",
"types": [
"PUBLIC"
],
"countries": [
"US",
"FR"
],
"sectors": [
"Technology",
"Financials",
"Industrials"
]
}
'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/companies"
payload = {
"query": "Apple",
"types": ["PUBLIC"],
"countries": ["US", "FR"],
"sectors": ["Technology", "Financials", "Industrials"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'Apple',
types: ['PUBLIC'],
countries: ['US', 'FR'],
sectors: ['Technology', 'Financials', 'Industrials']
})
};
fetch('https://api.bigdata.com/v1/knowledge-graph/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "D8442A",
"name": "Apple Inc.",
"type": "PUBLIC",
"country": "US",
"description": "Apple Inc. (formerly Apple Computer Inc.), incorporated on January 03, 1977, designs, manufactures, and markets mobile communication and media devices, personal computing products, and portable digital music players worldwide.",
"sector": "Technology",
"industry_group": "Computer Hardware",
"industry": "Computer Hardware",
"favicon": "http://www.apple.com/favicon.ico",
"webpage": "http://www.apple.com",
"isin_values": [
"CA03785Y1007",
"TH0150120408",
"TH0809121500",
"US0378331005"
],
"cusip_values": [
"037833100",
"03785Y100",
"P0R684385",
"Y100G4352",
"Y49876132"
],
"sedol_values": [
"2046251",
"BNC31R1",
"BPXWT99",
"BVBDDG1"
],
"listing_values": [
"XBKK:AAPL80",
"XNAS:AAPL"
],
"ticker": "AAPL"
}
],
"metadata": {
"request_id": "4563eda4-3655-4bdf-8a83-82407ad25276",
"timestamp": "2025-10-16T17:30:26.648779+00:00"
},
"usage": {
"knowledge_graph_tokens": 1
}
}Find by details
Bigdata.com Knowledge Graph tracks over 7 million companies worldwide. Use this endpoint to search by name, website, ticker, or other market identifiers. Refine your results with filters such as company type, country, or sector.
Authorizations
Body
Request body for finding companies. Each field is optional. However, you must provide at least one field to perform a valid search.
It accepts a partial or complete company name, webpage, ticker, ISIN, SEDOL, or CUSIP. Examples: 'Apple', 'AAPL', 'https://www.apple.com/', 'CA03785Y1007'
"Apple"
The company type can be PUBLIC or PRIVATE
PUBLIC, PRIVATE ["PUBLIC"]
It accepts country codes using the ISO 3166-1 A-2, for instance "US" for the United States
^[A-Z]{2}$["US", "FR"]
It accepts a list of sectors that can be retrieved with the endpoint "/knowledge-graph/companies/sectors"
["Technology", "Financials", "Industrials"]
Response
Successful response with company data
Was this page helpful?